package org.algorithm.test;

import org.algorithm.core.neural.dataset.NNDataSet;
import org.algorithm.core.neural.dataset.NNDataSetImpl;

import java.util.HashMap;
import java.util.Map;

/**
 * 测试门诊数据集
 * @Author: bijl
 * @Date: 2018年7月26日-下午1:58:41
 * @Description:
 */
public class NNDataSetImplTest {
    
    public static void main(String[] args) {
        
        //TODO:change modelAndVersion to test different models
        String modelAndVersion = "diagnosis_to_symptom_1";
        
        NNDataSet dataSet = new NNDataSetImpl(modelAndVersion);
        
        Map<String, Map<String, String>> aMap = new HashMap<>();
        
        Map<String, String> featureValues = new HashMap<>();
        
        featureValues.put("partbody", "上皮");
        featureValues.put("negative", "有");
        featureValues.put("sn", "0");
        aMap.put("踝关节疼痛", featureValues);
        
        float[] featureVector = dataSet.toFeatureVector(aMap);
        
        for (int i=0; i<featureVector.length;i++) {
            System.out.println(i+":"+featureVector[i]);
        }
    }

}
